de.vc.io.rtf.parser

## Class TokenHandler

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler

- Direct Known Subclasses:
    DefaultTokenHandler, FilterTokenHandler

      public abstract class TokenHandler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenHandler(Definitions definitions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getDefaultEncoding()`
    `protected Definitions` | `getDefinitions()`
    `protected java.lang.String` | `getTextEncoding(Token t)`
    `abstract void` | `handleBraceClosed()`
    `abstract void` | `handleBraceOpened()`
    `abstract boolean` | `handleControl(Token t)`
    `protected void` | `handleOptionalHyphen(Token token)`
    `abstract boolean` | `handleText(java.lang.String text, ParserState state)`
    `protected boolean` | `handleText(Token token)`
    `boolean` | `handleToken(Token token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenHandler

          public TokenHandler(Definitions definitions)

  - ### Method Detail

    - #### handleToken

          public final boolean handleToken(Token token)

    - #### handleBraceOpened

          public abstract void handleBraceOpened()

    - #### handleBraceClosed

          public abstract void handleBraceClosed()

    - #### handleControl

          public abstract boolean handleControl(Token t)

    - #### handleText

          public abstract boolean handleText(java.lang.String text,
                           ParserState state)

    - #### handleText

          protected boolean handleText(Token token)

    - #### handleOptionalHyphen

          protected void handleOptionalHyphen(Token token)

    - #### getTextEncoding

          protected final java.lang.String getTextEncoding(Token t)

    - #### getDefinitions

          protected final Definitions getDefinitions()

    - #### getDefaultEncoding

          protected java.lang.String getDefaultEncoding()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.